POST/v1/campaigns

Create Campaign

Creates a new Narrative Arc campaign with phase definitions and optional content assignments.

Bearer token required. Minimum plan: Agency.

Request Body

ParameterTypeRequiredDescription
namestringRequiredCampaign name.
objectivestringOptionalCampaign objective description.
start_datestring (ISO 8601)RequiredCampaign start date.
duration_weeksintegerOptionalCampaign duration in weeks. Default: 12.
phasesobject[]OptionalCustom phase definitions. Defaults to standard 4-phase Arc.
Request
curl -X POST "https://api.onprism.io/v1/campaigns" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Summer Collection Launch",
    "objective": "Drive awareness and sales for the SS26 collection",
    "start_date": "2026-03-01",
    "duration_weeks": 10
  }'
Response (200 OK)
{
  "id": "cmp_n3w8p",
  "name": "Summer Collection Launch",
  "status": "draft",
  "phases": [
    { "name": "Foundation", "weeks": [1, 2, 3], "status": "upcoming" },
    { "name": "Build", "weeks": [4, 5, 6], "status": "upcoming" },
    { "name": "Peak", "weeks": [7, 8], "status": "upcoming" },
    { "name": "Echo", "weeks": [9, 10], "status": "upcoming" }
  ],
  "created_at": "2026-02-24T12:00:00Z"
}

Error Codes

400

Invalid Dates

start_date must be in the future.

401

Unauthorized

Missing or invalid API key.

403

Plan Required

Campaigns API requires Agency plan or above.